Subject: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working

From: Helmut Eller <[email-masked]>
Date: Mon, 24 Feb 2014 07:35:13 +0100

On Sun, Feb 23 2014, Dmitry Gutov wrote:

> Helmut Eller <[email-masked]> writes:
>
>> Yes, with the patch t works.  But it's no longer possible to enter
>> regexps.  Not sure if that matters.
>
> It probably does: `ert-select-tests' describes regexps among possible
> selector values. Maybe we should only convert "t" to t, and keep other
> values intact.

I think now that using read instead of intern should work fine: normal
test names can be entered with tab completion support and regexps by
inserting quotes as needed.  The only remaining annoyance is that spaces
must be inserted with C-q SPC.

Helmut